action_part

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class action_part

    java.lang.Object
      weka.core.parser.java_cup.production_part
          weka.core.parser.java_cup.action_part

    public class action_part

extends production_part

This class represents a part of a production which contains an action. These are eventually eliminated from productions and converted to trailing actions by factoring out with a production that derives the empty string (and ends with this action).

Version:
  last update: 11/25/95
Author:
  Scott Hudson
See Also:
  `production`

Constructor Summary
`action_part(java.lang.String code_str)` Simple constructor.

Method Summary
`java.lang.String` | `code_string()` String containing code for the action in question.
`boolean` | `equals(action_part other)` Equality comparison for properly typed object.
`boolean` | `equals(java.lang.Object other)` Generic equality comparison.
`int` | `hashCode()` Produce a hash code.
`boolean` | `is_action()` Override to report this object as an action.
`void` | `set_code_string(java.lang.String new_str)` Set the code string.
`java.lang.String` | `toString()` Convert to a string.

Methods inherited from class weka.core.parser.java_cup.production_part
`equals, label`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### action_part

    public action_part(java.lang.String code_str)

  Simple constructor.

  Parameters:
    `code_str` - string containing the actual user code.

Method Detail

### code_string

    public java.lang.String code_string()

  String containing code for the action in question.

### set_code_string

    public void set_code_string(java.lang.String new_str)

  Set the code string.

### is_action

    public boolean is_action()

  Override to report this object as an action.

  Specified by:
    `is_action` in class `production_part`

### equals

    public boolean equals(action_part other)

  Equality comparison for properly typed object.

### equals

    public boolean equals(java.lang.Object other)

  Generic equality comparison.

  Overrides:
    `equals` in class `production_part`

### hashCode

    public int hashCode()

  Produce a hash code.

  Overrides:
    `hashCode` in class `production_part`

### toString

    public java.lang.String toString()

  Convert to a string.

  Overrides:
    `toString` in class `production_part`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD